---
layout: course

title: Seminar Wissensrepräsentation und -verarbeitung
instructors:
    - mkohlhase
    - dmueller
semesters:
    - SS17
    -  WS17/18
    - SS18
    - WS18/19
    - SS19
    - WS18/19
    - SS20
---
Dieses Seminar behandelt ausgewählte Themen aus dem Gebiet der Wissensrepräsentation und
-Verarbeitung, mit einem Fokus auf mathematischem Wissen.

Die Vortragsthemen sind sehr unterschiedlich im Schwierigkeitsgrad, sie reichen von
Einführungsthemen für ambitionierte Bachelor-Studenten bis zur Forschungsfront für
Doktoranden. Sie spiegeln recht gut die Forschungsinteressen der
[KWARC Gruppe](http://kwarc.info) wieder. Daher ist dieses Seminar sehr gut geeignet um in
die Arbeitsgruppe einzusteigen (z.B. für eine Master-Arbeit oder Promotion). 

*Seminartermin/Ort*: Mittwochs 14:45-16:00, Raum 00.131-128, Cauerstraße 11

|Datum|Sprecher|Thema|
|-----|-------|-----|
| 24. 4. 2018| Dennis Müller | Admin, Themenvergabe | -- |

##### Vortragsthemen

Themen werden mit dem Dozenten ausgemacht; typischerweise in den ersten Seminarterminen. Hier ist eine Auswahl für das SS 2018: 

|Thema | Literatur | Schwierigkeitsgrad | vergeben? | Termin|
|-----|-------|-----|-------|---------|
| OpenMath & SCSCP | [[1]](http://openmath.github.io/standard) | recht einfach | |
| LF-Einführung ||relativ einfach, aber Logik-lastig| | |
| MitM Foundation | | Formalisierung | | |
| The Curry-Howard Isomorphism | abstrakte Logic, aber nicht so schwer||
| Argumentation Logics | verschiedene Themen||
| Distributed Ontology Language | Semantic Web meeds Theory Graphs||
| Theory Graphs and Viewer | |einfach |Marcel Rupprecht | |
| Weak Type Theory|[[1]](http://www.macs.hw.ac.uk/~fairouz/forest/papers/journals-publications/kjour.pdf)|relativ einfach, aber Logik-lastig| | |
| MathLang| Kamareddine | | |
| Formula Parsing | Ginev M.Sc. | relativ einfach | |
| Math Parsing in Concise | Pichler M.Sc. | relativ einfach | |
| MitM-based integration of CAS | | | Tom Wiesing|
| Isabelle Type Classes and Locales| | logik-lastig| |
| LF + Interection Types | | fortgeschritten| |
| McAllister-Foundation || mit Voldemort's Theorem (schwer) |||
| Functional programming with bananas, lenses, envelopes and barbed wire|
  [[1]](https://research.utwente.nl/files/6142047/db-utwente-40501F46.pdf)|functional programming|
|"Formal Semantics of Programming Languages" (Mosses)| ||
| Overview of the ACL2 language and system | | |

Diskussionen und finden auf dem [FSI Forum WuV](https://fsi.cs.fau.de/forum/151-Seminar-Wissensrepraesentation-und-verarbeitung)
statt. Dies ist eine wichtige Quelle von Ankündigungen sowie Rat und Tat. Wir bemühen uns,
auf dem Forum präsent zu sein, und schnell auf Fragen zu antworten. Also das Forum
abonnieren!

##### For the record: Seminarplan SS2018

|Datum|Sprecher|Thema|
|-----|-------|-----|
| 11. 4. 2018| Michael Kohlhase| Admin, Themenvergabe | -- |
| 18.4. 2018 | Entfällt| |
| 25. 4. 2018 | Michael Kohlhase| How to read scientific articles|
| 2. 5. 2018 |  Entfällt ||
| 9. 5. 2018 | Michael Kohlhase | ALMANAC: Argumentation Logics Manager & Argument Context Graph|
| 16. 5.  2018 | Entfällt| | |
| 23. 5. 2018 | Dennis Müller| Records as Types |
| 30. 5.  2018 | Entfällt| | |
| 6. 6.  2018 | Frederik Schaefer| Math in GF|
| 13. 6. 2018 | Makarius Wenzel (Augsburg) | Isabelle/jEdit as IDE for domain-specific formal languages  and informal text documents |
| 20. 6.  2018 | Entfällt| | |
| 27. 6. 2018 | Alpcan Dalga | OpenMath & SCSCP |
| 4. 7. 2018 | Martin Holzwarth | Framing | 
| 11. 7. 2018 | Jonny Schäfer | <Something with Argumentation>| 

##### For the record: Seminarplan WS2017/18

|Datum|Sprecher|Thema|
|-----|-------|-----|
| 25. 10. 2017| Michael Kohlhase| How to read scientific articles|
| 1. 11. 2017 | Allerheiligen | ------ |
| 8. 11. 2017| Tom Wiesing| Virtual Theories as a Uniform Interface to Mathematical Data Sources|
| 15. 11. 2017 | Michael Kohlhase| Knowledge-Based Interoperability for Mathematical Software Systems|
| 22. 11. 2017 | ----- | ----- | 
| 29. 11. 2017| Theresa Pollinger|Model Knowledge Representation for HPC|
| 6. 12. 2017 | ----- | ----- |
| 13. 12. 2017 | ----- | ----- |
| 20. 12. 2017 | Michael Kohlhase | Visual structure in math vexpressions. |
| 10. 1. 2018 | Florian Rabe | String Interpolation in MMT |
| 24. 1. 2018 | Frederik Schäfer| Weak Type Theory|
| 31. 1. 2018| ---- | ------|


<!--  LocalWords:  mkohlhase Logik-lastig Kamareddine Ginev MitM-based Interection
 -->
